## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Not generated by rust2rpm 22
# https://pagure.io/fedora-rust/rust2rpm/issue/125
%bcond_without check

%global crate sequoia-octopus-librnp

%global tb_plugindir %{_libdir}/thunderbird
%global __provides_exclude_from ^%{tb_plugindir}/.*\\.so$

Name:           rust-sequoia-octopus-librnp
Version:        1.4.1
Release:        %autorelease
Summary:        Reimplementation of RNP's interface using Sequoia

License:        LGPL-2.0-or-later
URL:            https://crates.io/crates/sequoia-octopus-librnp
Source0:        %{crates_source}
Source1:        LICENSE.dependencies
# Manually created patch for downstream crate metadata changes
# * enable default features in rand and rand_distr dependencies:
#   fixes undefined references to rand::thread_rng
# * exclude files only useful for upstream development
# * do not use bundled sqlite in rusqlite
# * bump rusqlite to 0.26
# * drop build script and build-dependencies:
#   git repository is not available when building from published crates
Patch:          sequoia-octopus-librnp-fix-metadata.diff
Patch:          0001-drop-broken-build-script-based-git-versioning.patch

ExclusiveArch:  %{rust_arches}
# exclude architectures where thunderbird is not available
ExcludeArch:    %{arm} s390x

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Reimplementation of RNP's interface using Sequoia for use with Thunderbird.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# 0BSD OR MIT OR Apache-2.0
# Apache-2.0
# Apache-2.0 OR BSL-1.0
# Apache-2.0 OR MIT
# BSL-1.0
# LGPL-2.0-or-later
# LGPL-3.0 OR GPL-2.0 OR GPL-3.0
# LGPL-3.0+
# MIT
# MIT OR Apache-2.0
# MIT OR Apache-2.0 OR Zlib
# MIT OR LGPL-3.0-or-later
# MIT OR Zlib OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        Apache-2.0 AND BSL-1.0 AND LGPL-3.0 AND MIT
# LICENSE.dependencies contains a full license breakdown

Requires:       thunderbird%{?_isa}
Provides:       thunderbird-librnp
Provides:       thunderbird-librnp%{?_isa}
Conflicts:      thunderbird-librnp%{?_isa}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE.txt
%license LICENSE.dependencies
%doc README.md
%{tb_plugindir}/librnp.so

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
cp %{SOURCE1} .
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
mkdir -p %{buildroot}/%{tb_plugindir}
cp -pav target/release/libsequoia_octopus_librnp.so %{buildroot}/%{tb_plugindir}/librnp.so

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Dec 01 2022 Fabio Valentini <decathorpe@gmail.com> 1.4.1-2
- Rebuild with capnp v0.14.11 for CVE-2022-46149 / RUSTSEC-2022-0068

* Wed Sep 07 2022 Fabio Valentini <decathorpe@gmail.com> 1.4.1-1
- Update to version 1.4.1; Fixes RHBZ#2103181

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat May 07 2022 Fabio Valentini <decathorpe@gmail.com> 1.4.0-1
- Update to version 1.4.0; Fixes RHBZ#2068321

* Wed Mar 16 2022 Fabio Valentini <decathorpe@gmail.com> 1.2.1-1
- Update to version 1.2.1; Fixes RHBZ#2031067

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.1.0-1
- Update to 1.1.0 Close: rhbz#2005256

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.0.1-4
- Rebuilt with OpenSSL 3.0.0

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat May 22 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-2
- Packaging changes to match official Fedora thunderbird package.

* Mon Apr 26 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Initial package

